<?xml version="1.0" encoding="UTF-8"?>
<!--
    * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
    * Copyright (C) 2004-2007 - INRIA - Vincent COUVERT 
    * 
    * This file must be used under the terms of the CeCILL.
    * This source file is licensed as described in the file COPYING, which
    * you should have received as part of this distribution.  The terms
    * are also available at    
    * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
    *
    -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="mtlb_box">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>mtlb_box</refname>
    <refpurpose>Matlab box emulation function</refpurpose>
  </refnamediv>
  <refsection>
    <title>Description</title>
    <para>There is no Scilab equivalent function for Matlab <literal>box</literal> but it can be easyly replaced.</para>
    <para>
    The function <literal>mtlb_box([axes_handle[,val]])</literal> is used by
    <literal>mfile2sci</literal> to replace <literal>box([axes_handle[,va]]l)</literal> when it was not
    possible to know what were the inputs while porting Matlab code to Scilab. This function will
    determine the correct semantic at run time. If you want to have a
    more efficient code it is possible to replace <literal>mtlb_box</literal> calls:
    </para>
    <itemizedlist>
      <listitem>
        <para>
        When called without input parameters,
        <literal>mtlb_box()</literal> may be replaced by <literal>a=gca();if a.box=="on" then a.box="off";else a.box="on";end;</literal>
        </para>
      </listitem>
      <listitem>
        <para>
        If <literal>axes_handle</literal> is a character string,
        <literal>mtlb_box(axes_handle)</literal> may be replaced by <literal>a=gca();a.box=convstr(axes_handle,"l");</literal>
        </para>
      </listitem>
      <listitem>
        <para>
        If <literal>axes_handle</literal> is a graphic handle
        <literal>mtlb_box(axes_handle)</literal> may be replaced by 
	<literal>if axes_handle.box=="on" then axes_handle.box="off";else axes_handle.box="on";end;</literal>
        </para>
      </listitem>
      <listitem>
        <para>
        If <literal>axes_handle</literal> is a graphic handle and <literal>val</literal> is a character string
        <literal>mtlb_box(axes_handle,val)</literal> may be replaced by <literal>axes_handle.box=convstr(val,"l");</literal>
        </para>
      </listitem>
    </itemizedlist>
    <para>Caution: <literal>mtlb_box</literal> has not to be used for hand coded functions.</para>
  </refsection>
  <refsection>
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="axes_properties">axes_properties</link>
      </member>
    </simplelist>
  </refsection>
  <refsection>
    <title>Authors</title>
    <simplelist type="vert">
      <member>V.C.</member>
    </simplelist>
  </refsection>
</refentry>
